[arch-commits] Commit in nfs-utils/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Thu May 7 01:56:38 EDT 2009


    Date: Thursday, May 7, 2009 @ 01:56:38
  Author: allan
Revision: 38081

upgpkg: nfs-utils 1.1.6-1

Modified:
  nfs-utils/trunk/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-07 05:44:09 UTC (rev 38080)
+++ PKGBUILD	2009-05-07 05:56:38 UTC (rev 38081)
@@ -4,22 +4,22 @@
 # Contributor: dibblethewrecker <dibblethewrecker.at.jiwe.org>
 
 pkgname=nfs-utils
-pkgver=1.1.3
-pkgrel=2
+pkgver=1.1.6
+pkgrel=1
 pkgdesc="Support programs for Network File Systems"
 arch=('i686' 'x86_64')
 url='http://nfs.sourceforge.net'
 license=('GPL')
 backup=('etc/exports' 'etc/conf.d/nfs')
 depends=('glibc' 'tcp_wrappers' 'e2fsprogs' 'portmap' 'nfsidmap' 'libevent>=1.3e')
-source=(http://downloads.sourceforge.net/nfs/${pkgname}-${pkgver}.tar.gz
+source=(http://downloads.sourceforge.net/nfs/${pkgname}-${pkgver}.tar.bz2
 	nfsd
 	nfslock
 	exports
 	nfs.conf.d
 	start-statd.patch)
 install=nfs-utils.install
-md5sums=('167d231850b00c7c63300747aeb94c38'
+md5sums=('b0d1b8ec5c8c081a340cfc77bb8670cd'
          '5a9436e492e68efaf801b9c496684541'
          '5d0d31f27f2319747d4499df11485ae7'
          '1358d29a549dfc37b522c35e823c6813'
@@ -30,7 +30,7 @@
   cd $srcdir/${pkgname}-${pkgver}
   
   # arch specific patch
-  patch -Np0 -i ../start-statd.patch || return 1
+  patch -Np0 -i $srcdir/start-statd.patch || return 1
   
   ./configure --prefix=/usr --enable-nfsv3 --disable-gss \
     --with-statedir=/var/lib/nfs --sysconfdir=/etc
@@ -38,10 +38,10 @@
   make || return 1
   make DESTDIR=$pkgdir install || return 1
 
-  install -D -m 755 ../nfsd ${startdir}/pkg/etc/rc.d/nfsd
-  install -D -m 755 ../nfslock ${startdir}/pkg/etc/rc.d/nfslock
-  install -D -m 644 ../exports ${startdir}/pkg/etc/exports
-  install -D -m 644 ../nfs.conf.d ${startdir}/pkg/etc/conf.d/nfs
+  install -D -m 755 $srcdir/nfsd $pkgdir/etc/rc.d/nfsd
+  install -D -m 755 $srcdir/nfslock $pkgdir/etc/rc.d/nfslock
+  install -D -m 644 $srcdir/exports $pkgdir/etc/exports
+  install -D -m 644 $srcdir/nfs.conf.d $pkgdir/etc/conf.d/nfs
   
   install -d $pkgdir/var/lib/nfs/v4recovery
 }



More information about the arch-commits mailing list